# -*- rpm-spec -*-
# $Id: kernel-feat-iscsi,v 1.1 2003/06/06 09:44:45 ed Exp $
#
%define  addon_name kernel-feat-iscsi

Name: %addon_name
Version: 2003.06.21

Release: alt1

Summary: %addon_name kernel addon - iSCSI (Cisco and UHN initiators)
License: Distributable
Group: Development/Other
Url: http://linux-iscsi.sourceforge.net/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Source0: %{addon_name}-%version-%release.tar.bz2
Source1: %{addon_name}.sh
Source2: %{addon_name}-Makefile
Source3: %{addon_name}-Config.in

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
These are the latest iSCSI initators for Linux kernel from linux-iscsi and iSCSI UNH projects

%install

%__mkdir_p %{patches_dir}/%{addon_name}/Config.in.d
%__mkdir_p %{patches_dir}/%{addon_name}/Makefile.d
%__mkdir_p %{patches_dir}/apply/
%__tar -C %{patches_dir}/%{addon_name}/ -xjf %SOURCE0
%__install -m 755 %SOURCE1 %{patches_dir}/apply/%{addon_name}
%__install -m 755 %SOURCE2 %{patches_dir}/%{addon_name}/Makefile.d
%__install -m 755 %SOURCE3 %{patches_dir}/%{addon_name}/Config.in.d

%files
%_usrsrc/*

%changelog
* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.21-alt1
- remixed to new format.

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.21-alt5
- uses generate_addons script now.
- Config.in and Makefile sources are taken out of main source tarball.

* Tue Jun 03 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.05.29-alt4
- Converted source to module

* Mon Jun 02 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.05.29-alt3
- Fix install script for addon

* Thu May 29 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.05.29-alt2
- Fix permissions in the %{addon_name}.tar.bz2

* Thu May 29 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.05.29-alt1
- iSCSI addon integrated

